// CONFIG_MM1_DIALOG.H : write a short description here...

// Copyright (C) 2002 Tommi Hassinen.

// This program is free software; you can redistribute it and/or modify it
// under the terms of the license (GNU GPL) which comes with this package.

/*################################################################################################*/

#ifndef EFP_DIALOG_H
#define EFP_DIALOG_H

#include "ghemicalconfig.h"

#ifdef ENABLE_GAMESS

#include <gtk/gtk.h>
#include <glade/glade.h>
#include "glade_dialog.h"
#include "gtk_project.h"
#include "filetrans.h"
#include "gamess.h"

#ifdef ENABLE_OPENBABEL
#include <openbabel/mol.h>
#include <openbabel/obconversion.h>
#include <openbabel/obmolecformat.h>
#endif  // ENABLE_OPENBABEL

class efp_dialog;

/*################################################################################################*/

class efp_dialog : public glade_dialog
{
	public:
	
	GtkWidget * dialog;
	GtkWidget * list_view;
	GtkWidget * entry;
	char *test;
	GtkListStore * list_store;
	gtk_project * prj;

#ifdef ENABLE_OPENBABEL
	OBMol *sel_mol;
#endif  // ENABLE_OPENBABEL
	
	public:
	//static ostringstream backupstr;
	//static int charge;
	
	efp_dialog(gtk_project *);
	efp_dialog(gtk_project *, EFPGroup::type);
	~efp_dialog(void);

	//void delay_Destroy(void);
	//void delay_Save(const char* filename);

	//static void handler_Destroy(GtkWidget *, gpointer);
	
	
	static gboolean init_callback(GtkTreeModel *, GtkTreePath *, GtkTreeIter *, gpointer);
	static void row_callback(GtkTreeModel *, GtkTreePath *, GtkTreeIter *, gpointer);
	static gboolean select_callback(GtkTreeSelection *, GtkTreeModel *,
		GtkTreePath *, gboolean , gpointer);
	
	static void handler_ButtonOk(GtkWidget *, gpointer);
	static void handler_ButtonCancel(GtkWidget *, gpointer);
};

/*################################################################################################*/

#endif  // ENABLE_GAMESS

#endif	// EFP_DIALOG_H

// eof
